import sidebarLocale from './sidebar';

export const locale = {
  it: {
    common: {
      close: 'Chiudi',
      confirm: 'Conferma',
      yes: 'Si',
      no: 'No',
      show: 'Mostra',
      hide: 'Nascondi',
    },
    canvas: {
      copiedToClipboard: 'Snippet copiato negli appunti',
    },
    locales: {
      it: 'Italiano',
      en: 'Inglese',
      de: 'Tedesco',
    },
    toolbar: {
      export: 'Esporta',
      openNewTab: 'Apri',
      loadingNewTab: 'Preparando link...',
      share: 'Condividi',
      toggleTheme: 'Modifica tema',
      changeLanguage: 'Modifica lingua',
      exportLoading: 'Esportando...',
    },
    pwa: {
      offline: 'App pronta per lavorare offline',
      update:
        'Nuovo contenuto disponibile, ricarica il contenuto per aggiornare',
      close: 'Chiudi',
      reload: 'Ricarica',
    },
    export: {
      title: 'Esporta immagine',
      shareMode: 'Condividi il tuo codice',
      shareHint: 'Questa modalità usa la nuova',
      noOpacitySupportedWithThisExtension:
        'La transparenza personalizzata non è compatibile con questa estensione',
      exportMode: 'Esporta come immagine',
      fileName: 'Nome file',
      fileNamePlaceholder: 'Inserisci nome file...',
      extensionType: 'Estensione file',
      pixelRatio: 'Scala',
      genericSaveError: 'Si è verificato un errore durante il salvataggio',
      quality: 'Qualità',
    },
    shortcut: {
      esc: 'Esc',
      buttonAction: 'Scorciatoie tastiera',
      focusCodeEditor: 'Focus editor di codice',
      unFocusCodeEditor: 'Unfocus editor di codice',
      toggleBackground: 'Attiva/disattiva background',
      toggleDarkMode: 'Attiva/disattiva modalitá dark',
      toggleHeader: 'Mostra/nascondi intestazione',
      toggleWatermark: 'Mostra/nascondi watermark',
      selectLanguage: 'Seleziona lingua',
      changePadding: 'Modifica padding',
      pickRandomTheme: 'Seleziona tema random',
      export: 'Esporta',
      exportNewTab: 'Esporta in una nuova tab',
      copyLink: 'Copia link',
      copySnippet: 'Copy snippet',
      openShortcuts: 'Apri scorciatoie',
    },
    themeSwitcher: {
      search: 'Cerca tema...',
    },
    ...sidebarLocale.it,
  },
  en: {
    ...sidebarLocale.en,
    canvas: {
      copiedToClipboard: 'Snippet copied to clipboard',
    },
    common: {
      close: 'Close',
      confirm: 'Confirm',
      yes: 'Yes',
      no: 'No',
      show: 'Show',
      hide: 'Hide',
    },
    locales: {
      it: 'Italian',
      en: 'English',
      de: 'German',
    },
    toolbar: {
      export: 'Export',
      openNewTab: 'Open',
      loadingNewTab: 'Preparing link...',
      share: 'Share',
      toggleTheme: 'Toggle theme',
      changeLanguage: 'Modifica lingua',
      exportLoading: 'Exporting...',
    },
    pwa: {
      offline: 'App ready to work offline',
      update: 'New content available, click on reload button to update',
      close: 'Close',
      reload: 'Reload',
    },
    export: {
      title: 'Export image',
      shareMode: 'Share your code',
      shareHint: 'This modality uses the new',
      exportMode: 'Export as image',
      fileName: 'File name',
      fileNamePlaceholder: 'Enter file name...',
      extensionType: 'File extension',
      pixelRatio: 'Scale',
      genericSaveError: 'An error occurred while saving',
      noOpacitySupportedWithThisExtension:
        'The custom transparency is not compatible with this extension',
      quality: 'Quality',
    },
    shortcut: {
      esc: 'Esc',
      buttonAction: 'Keyboard shortcuts',
      focusCodeEditor: 'Focus code editor',
      unFocusCodeEditor: 'Unfocus code editor',
      toggleBackground: 'Toggle background',
      toggleDarkMode: 'Toggle dark mode',
      toggleHeader: 'Toggle header',
      toggleWatermark: 'Toggle watermark',
      changePadding: 'Change padding',
      pickRandomTheme: 'Pick random theme',
      export: 'Export',
      exportNewTab: 'Export in a new tab',
      copyLink: 'Copy link',
      copySnippet: 'Copy snippet',
      openShortcuts: 'Open shortcuts',
    },
    themeSwitcher: {
      search: 'Search theme...',
    },
  },
  de: {
    common: {
      close: 'Schließen',
      confirm: 'Bestätigen Sie',
      yes: 'Ja',
      no: 'Nein',
      show: 'Anzeigen',
      hide: 'Verstecken',
    },
    canvas: {
      copiedToClipboard: 'Snippet copied to clipboard',
    },
    locales: {
      it: 'Italienisch',
      en: 'Englisch',
      de: 'Deutsch',
    },
    toolbar: {
      export: 'Export',
      share: 'Teilen',
      openNewTab: 'Du öffnest',
      loadingNewTab: 'Preparing link...',
      toggleTheme: 'Thema umschalten',
      changeLanguage: 'Thema umschalten',
      exportLoading: 'Exportieren...',
    },
    pwa: {
      offline: 'App ready to work offline',
      update: 'New content available, click on reload button to update',
      close: 'Close',
      reload: 'Reload',
    },
    export: {
      title: 'Bild exportieren',
      shareMode: 'Teilen Sie Ihren Code',
      shareHint: 'Diese Modalität verwendet das Neue',
      exportMode: 'Als Bild exportieren',
      fileName: 'Dateiname',
      fileNamePlaceholder: 'Dateinamen eingeben...',
      extensionType: 'Dateierweiterung',
      pixelRatio: 'Skala',
      genericSaveError: 'Beim Speichern ist ein Fehler aufgetreten',
      noOpacitySupportedWithThisExtension:
        'Die benutzerdefinierte Transparenz ist mit dieser Erweiterung nicht kompatibel',
      quality: 'Quality',
    },
    shortcut: {
      esc: 'Esc',
      buttonAction: 'Tastatürkürzel',
      focusCodeEditor: 'Focus code editor',
      unFocusCodeEditor: 'Fokus-Code-Editor',
      toggleBackground: 'Hintergrund umschalten',
      toggleDarkMode: 'Dunkelmodus umschalten',
      toggleHeader: 'Kopfzeile umschalten',
      toggleWatermark: 'Wasserzeichen umschalten',
      changePadding: 'Polsterung wechseln',
      pickRandomTheme: 'Wählen Sie ein zufälliges Thema',
      export: 'Export',
      exportNewTab: 'Export in a new tab',
      copySnippet: 'Copy snippet',
      copyLink: 'Link kopieren',
      openShortcuts: 'Verknüpfungen öffnen',
    },
    themeSwitcher: {
      search: 'Thema suchen...',
    },
    ...sidebarLocale.de,
  },
};

export type AppLocaleEntries = typeof locale;
